Skip to main content
GET
/
api
/
v1
/
hub
/
{hub_id}
/
content
/
{node_id}
/
children
Portal List Children
curl --request GET \
  --url https://api.member.dev/api/v1/hub/{hub_id}/content/{node_id}/children \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "content_type": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "deleted_at": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "hub_id": "<string>",
        "legacy_hash": "<string>",
        "media_id": "<string>",
        "meta": {},
        "node_type": "<string>",
        "parent_id": "<string>",
        "position": 123,
        "privacy": "<string>",
        "published_at": "2023-11-07T05:31:56Z",
        "slug": "<string>",
        "team_id": "<string>",
        "title": "<string>",
        "updated_at": "2023-11-07T05:31:56Z",
        "attachments": [
          {
            "id": "<string>",
            "media_id": "<string>",
            "role": "<string>",
            "file_id": "<string>",
            "filename": "<string>",
            "mime_type": "<string>",
            "size_bytes": 123,
            "url": "<string>"
          }
        ],
        "file_id": "<string>",
        "is_saved": false
      },
      "id": "<string>",
      "type": "content_nodes"
    }
  ],
  "links": {},
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

hub_id
string
required
node_id
string
required

Response

Successful Response

data
ContentNodeResource · object[]
required
meta
Meta · object
required